diag.ind {bio3d} | R Documentation

## Diagonal Indices of a Matrix

### Description

Returns a matrix of logicals the same size of a given matrix with entries 'TRUE' in the upper triangle close to the diagonal.

### Usage

    diag.ind(x, n = 1, diag = TRUE)

### Arguments

`x` | a matrix.
`n` | the number of elements from the diagonal to include.
`diag` | logical. Should the diagonal be included?

### Details

Basic function useful for masking elements close to the diagonal of a given matrix.

### Value

Returns a matrix of logicals the same size of a given matrix with entries 'TRUE' in the upper triangle close to the diagonal.

### Author(s)

Barry Grant

### References

Grant, B.J. et al. (2006) Bioinformatics 22, 2695–2696.

### See Also

`diag`, `lower.tri`, `upper.tri`, `matrix`

### Examples

    diag.ind( matrix(,ncol=5,nrow=5), n=3 )

[Package bio3d version 2.3-4 Index]